Update a documentation row
PATCH
/documentation/{id}
Path Parameters
idstring · uuid
required
Request Body
authentication_methodstring
contentstring
integration_namestring
methodstring
resourcestring
typestring
Documentation row type. Per-method MCP tooling uses description, tool_name, query_schema,
body_schema, and response_schema. Integration-wide rows include readme, oauth_*, and note.
Possible values:
readmenoteend_user_guidedescriptiontool_namequery_schemabody_schemaresponse_schemaoauth_documentation_linkoauth_app_requires_verificationoauth_note
curl -X PATCH 'https://api.truto.one/documentation/{id}' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json' \
-d '{
"type": "readme",
"content": "your_content",
"resource": "your_resource",
"method": "your_method",
"authentication_method": "your_authentication_method",
"integration_name": "your_integration_name"
}'const body = {
"type": "readme",
"content": "your_content",
"resource": "your_resource",
"method": "your_method",
"authentication_method": "your_authentication_method",
"integration_name": "your_integration_name"
};
const response = await fetch('https://api.truto.one/documentation/{id}', {
method: 'PATCH',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
body: JSON.stringify(body),
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/documentation/{id}"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
}
payload = {
"type": "readme",
"content": "your_content",
"resource": "your_resource",
"method": "your_method",
"authentication_method": "your_authentication_method",
"integration_name": "your_integration_name"
}
response = requests.patch(url, headers=headers, params=params, json=payload)
print(response.json())